# eric4.KdeQt.KQFontDialog

Compatibility module to use the KDE Font Dialog instead of the Qt Font Dialog.

### Global Attributes

__qtGetFont

### Classes

None

### Functions

__kdeGetFont | Public function to pop up a modal dialog to select a font.
getFont | Public function to pop up a modal dialog to select a font.

## __kdeGetFont

__kdeGetFont(initial, parent = None)

Public function to pop up a modal dialog to select a font.

initial
  initial font to select (QFont)
parent
  parent widget of the dialog (QWidget)

Returns:
  the selected font or the initial font, if the user canceled the dialog (QFont) and a flag indicating the user selection of the OK button (boolean)

Up

## getFont

getFont(initial, parent = None)

Public function to pop up a modal dialog to select a font.

initial
  initial font to select (QFont)
parent
  parent widget of the dialog (QWidget)

Returns:
  the selected font or the initial font, if the user canceled the dialog (QFont) and a flag indicating the user selection of the OK button (boolean)

Up